Retrieves all the db_info_data_company objects
Request Information
URI Parameters :
None.
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
db_info_data_company| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary key |
globally unique identifier | |
| company_id |
Foreign key of the object using his Odyssee Guid Primary Key |
globally unique identifier |
Optionally required : company_id or company_code must be provided |
| company_code |
Foreign key of the object using ERP PK when adding/updating db_info_data |
string |
Optionally required : company_id or company_code must be provided |
| db_info_field_id | globally unique identifier |
Optionally required : db_info_field_id, db_info_field_name or db_info_field must be provided |
|
| db_info_field_name | string |
Optionally required : db_info_field_id, db_info_field_name or db_info_field must be provided |
|
| db_info_field | db_info_field |
Optionally required : db_info_field_id, db_info_field_name or db_info_field must be provided |
|
| value |
The value of this info fields for this targetId. Follow the formating rules (API / HELP / Info Fields) |
string |
Required |
| reference_back_office |
The Id/Ref of the back office for this object |
string |
Max length: 50 |
| sys_logical_delete |
sys_logical_delete |
boolean | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
{
"id": "76141c17-0458-4042-9438-610cab22cb2f",
"company_id": "25c3fb44-fede-44d1-b1bb-77b9341d1212",
"company_code": "sample string 3",
"db_info_field_id": "f2c9afa8-4e7c-44b4-8921-b68300a413aa",
"db_info_field_name": "sample string 5",
"value": "sample string 6",
"reference_back_office": "sample string 7",
"sys_logical_delete": true,
"modified_dateutc": "2026-06-02T03:49:23.8043227+00:00"
}